=== examples/foods/Makefile ===

all:: Foods.pgf

Foods.pgf: Foods???.gf
	gf -make -s Foods???.gf

clean:
	rm -rf *.gfo Foods.pgf
