=== lib/doc/browse/Makefile ===
##
# Makefile for GF RGL Browser
# John J. Camilleri, 2012
##
dir=../../src

all:
	./build-tags.sh

clean:
	find -name '*.gf-tags' | xargs rm
	cd $(dir) ; find -name '*.gfo' | xargs rm
	cd $(dir) ; find -name '*.gf-tags' | xargs rm
