=== lib/doc/languages/Makefile ===
all: english

english:
	echo "English: A Digital Grammar" >gf-english.txt
	cat gf-general-1.txt gf-english-1.txt gf-general-2.txt gf-english-2.txt >>gf-english.txt
	txt2tags -thtml --toc gf-english.txt
