=== lib/doc/tour/Makefile ===
all: Bul Cat Dan Dut Fin Fre Ger Ita Nor Ron Rus Spa Swe

Bul:
	runghc MkTour Bul Bulgarian

Cat:
	runghc MkTour Cat Catalan

Dan:
	runghc MkTour Dan Danish

Dut:
	runghc MkTour Dut Dutch

Fin:
	runghc MkTour Fin Finnish

Fre:
	runghc MkTour Fre French

Ger:
	runghc MkTour Ger German

Ita:
	runghc MkTour Ita Italian

Nor:
	runghc MkTour Nor Norwegian

Ron:
	runghc MkTour Ron Romanian

Rus:
	runghc MkTour Rus Russian

Spa:
	runghc MkTour Spa Spanish

Swe:
	runghc MkTour Swe Swedish

Urd:
	runghc MkTour Urd Urdu
